> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tai42.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Unpin a public route

> Unpin a public ``url``; a url that is absent or scope-mapped is a loud 404.



## OpenAPI

````yaml /openapi.json delete /api/auth/public-routes
openapi: 3.1.0
info:
  description: The operator HTTP surface served under /api/*.
  title: tai42-skeleton API
  version: 0.1.1
servers: []
security: []
paths:
  /api/auth/public-routes:
    delete:
      tags:
        - access-control
      summary: Unpin a public route
      description: >-
        Unpin a public ``url``; a url that is absent or scope-mapped is a loud
        404.
      operationId: delete_api_auth_public_routes
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicRouteUnpin'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                required:
                  - data
                type: object
          description: Success.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Malformed request.
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Missing or invalid api key.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Resource not found.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PublicRouteUnpin:
      description: Unpin a public URL.
      properties:
        url:
          title: Url
          type: string
      required:
        - url
      title: PublicRouteUnpin
      type: object
    Error:
      properties:
        error:
          type: string
      required:
        - error
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````